/*
Capture patch <http://quakecapture.sourceforge.net/>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#pragma once

namespace Capture {

    class IWriter
    {
    public:
        virtual ~IWriter() { };

        virtual bool Open(char* filename) = 0;
        virtual bool WriteVideo(int width, int height, unsigned char* rgb_pixel_buffer) = 0;
        virtual bool WriteAudio(int samples, unsigned char* stereo_16bit_sample_buffer) = 0;

    protected:
        char* m_codec00;
        float m_fps;
        int m_audio_hz;

        IWriter(char* codec00, float fps, int audio_hz)
            : m_codec00(codec00), m_fps(fps), m_audio_hz(audio_hz) { };
    };

}
