/*
Capture patch <http://quakecapture.sourceforge.net/>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "IWriter.h"

// This is an implementation of image capture.
// Each frame of video is saved as a separate image.
// The codec specifies the image type:
//  currently only "tga" is supported.


namespace Capture {

    class ScreenShotWriter : public IWriter
    {
    public:
        ScreenShotWriter(char* codec00, float fps, int audio_hz);
        virtual ~ScreenShotWriter();

        virtual bool Open(char* filename);
        virtual bool WriteVideo(int width, int height, unsigned char* rgb_pixel_buffer);
        virtual bool WriteAudio(int samples, unsigned char* stereo_16bit_sample_buffer);

    protected:
        char m_basefilename[256];
        float m_time;
    };

}
