/*
Capture patch <http://quakecapture.sourceforge.net/>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// These are common to both Quake1 and Quake2 engines
extern short* snd_out;
extern int snd_linear_count;
extern int soundtime;
extern void COM_StripExtension(char* in, char* out);
extern void COM_DefaultExtension(char* path, char* extension);
extern char* COM_SkipPath(char* pathname);
extern char* Cmd_Argv(int arg);
extern int Cmd_Argc(void);
extern char* Cvar_VariableString(char* var_name);
extern void Cmd_AddCommand(char* cmd_name, void function(void));
typedef int qboolean;


// These units of functionality have different implementations
// in the Quake1 and Quake2 engines.

void CaptureHelper_Print(char* string);
void CaptureHelper_Printf_f(char* format, float float_arg);
void CaptureHelper_Printf_s(char* format, char* string_arg);

void CaptureHelper_InitVariable(char* variablename, char* defaultvalue);

float CaptureHelper_VideoFps(void);
void CaptureHelper_SetVideoFps(float fps);
void CaptureHelper_CaptureFps_f(void);
int CaptureHelper_VideoWidth(void);
int CaptureHelper_VideoHeight(void);
qboolean CaptureHelper_CopyVideo(unsigned char* buffer);

int CaptureHelper_AudioHz(void);
int CaptureHelper_SoundChannels(void);

qboolean CaptureHelper_ShouldSuppressCapture(void);
qboolean CaptureHelper_PlayDemo_f(void);
char* CaptureHelper_DefaultDemoExtension(void);
void CaptureHelper_SetBatchCapture(qboolean batch);
qboolean CaptureHelper_BatchCapture(void);

void CaptureHelper_Shutdown(void);

